# Testing for the db functions of the package

if(FALSE) {
	library( "RUnit" )
	library( "xmapcore" )
}

###############################################################################
## Create a test environment
##
.test.env = new.env( hash=TRUE, parent=emptyenv() )

###############################################################################
## SetUp is called before each test method
##
.setUp = function() {
}

###############################################################################
## TearDown is called after each test method
##
.tearDown = function() {
}

test.connection = function() {
	checkEquals( xmap.get.param( "connected" ), FALSE, "Start not connected to anything" )
	data = tryCatch( xmap.connect( "hs-test" ), error=function(e) { FALSE } )
	if( length( data ) == 1 ) {
		print( "Cannot find datasource 'hs-test', so skipping these tests." )
	}
	else {
		checkTrue( xmap.get.param( "connected" ), "Should now be connected" )
		xmap.disconnect()
		checkTrue( !xmap.get.param( "connected" ), "And connected status should be FALSE" )
	}
}

test.buildsql = function() {
	test.hash = new.env( hash=TRUE )
	test.hash$a = "p1"
	test.hash$b = "p2"
	test.hash$c = "p3"
	sql = xmapcore:::.build.sql2( "Parameter replacement for ${a}, ${b} and ${c} should be ok", test.hash )
	checkEquals( sql, paste( "Parameter replacement for ", test.hash$a, ", ", test.hash$b, " and ", test.hash$c, " should be ok", sep="" ) )
}
