\name{xmapcore.details}
\alias{xmapcore.details}
\alias{array.details}
\alias{chromosome.details}
\alias{domain.details}
\alias{est_exon.details}
\alias{est_gene.details}
\alias{est_transcript.details}
\alias{exon.details}
\alias{gene.details}
\alias{prediction_transcript.details}
\alias{probe.details}
\alias{probeset.details}
\alias{protein.details}
\alias{synonym.details}
\alias{transcript.details}
\title{
  xmapcore \'details\' functions
}
\description{
  Get detailed annotations for the specified features.
}
\usage{
  array.details( ids )
  chromosome.details( ids )
  domain.details( ids )
  est_exon.details( ids )
  est_gene.details( ids )
  est_transcript.details( ids )
  exon.details( ids )
  gene.details( ids )
  prediction_transcript.details( ids )
  probe.details( ids )
  probeset.details( ids )
  protein.details( ids )
  synonym.details( ids )
  transcript.details( ids )
}
\arguments{
  \item{ids}{ Database identifiers for the features of interest }
}
\value{
  Results in an \code{\link{RangedData}} object, one \'row\' per feature, containing detailed annotations.
}
\seealso{
  \code{\link{xmapcore.to}}\cr
  \code{\link{xmapcore.all}}\cr
  \code{\link{xmapcore.range}}\cr
  \code{\link{xmapcore.utils}}\cr
  \code{\link{xmapcore.filters}}\cr
  \code{\link{RangedData}}\cr
}
\author{
  Tim Yates
}
\examples{ 
  if(interactive()) {
    xmap.connect()
    gene.details(symbol.to.gene("TP53"))
  }
}
